- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgTerrain::DataSet::SpatialProperties Struct Reference

Inheritance diagram for osgTerrain::DataSet::SpatialProperties:

[legend]
List of all members.

## Public Member Functions
| SpatialProperties ()
| SpatialProperties (const SpatialProperties &sp)
| SpatialProperties (osg::CoordinateSystemNode *cs, const osg::BoundingBox &extents)
SpatialProperties & | assignSpatialProperties (const SpatialProperties &sp)
void | computeExtents ()
## Public Attributes
osg::ref_ptr< osg::CoordinateSystemNode > | _cs
osg::Matrixd | _geoTransform
osg::BoundingBox | _extents
unsigned int | _numValuesX
unsigned int | _numValuesY
unsigned int | _numValuesZ

## Constructor & Destructor Documentation

osgTerrain::DataSet::SpatialProperties::SpatialProperties | ( |  | ) | `[inline]`

osgTerrain::DataSet::SpatialProperties::SpatialProperties | ( | const SpatialProperties & | sp | ) | `[inline]`

osgTerrain::DataSet::SpatialProperties::SpatialProperties | ( | osg::CoordinateSystemNode * | cs,
|  | const osg::BoundingBox & | extents
| ) | `[inline]`

## Member Function Documentation

SpatialProperties& osgTerrain::DataSet::SpatialProperties::assignSpatialProperties | ( | const SpatialProperties & | sp | ) | `[inline]`

void osgTerrain::DataSet::SpatialProperties::computeExtents | ( |  | ) | `[inline]`

## Member Data Documentation

osg::ref_ptr<osg::CoordinateSystemNode> osgTerrain::DataSet::SpatialProperties::_cs

osg::BoundingBox osgTerrain::DataSet::SpatialProperties::_extents

osg::Matrixd osgTerrain::DataSet::SpatialProperties::_geoTransform

unsigned int osgTerrain::DataSet::SpatialProperties::_numValuesX

unsigned int osgTerrain::DataSet::SpatialProperties::_numValuesY

unsigned int osgTerrain::DataSet::SpatialProperties::_numValuesZ

The documentation for this struct was generated from the following file:

- DataSet